#!/bin/bash

POSITIONAL_ARGS=()

REVISE_DATASET_PARAM_DEPTH=8
REVISE_DATASET_PARAM_REFINE=0.1
REVISE_DATASET_PARAM_MAX_LEVEL=3

while [[ $# -gt 0 ]]; do
  case $1 in
    -d|--depth)
      REVISE_DATASET_PARAM_DEPTH="$2"
      shift 2
      ;;
    -r|--refine)
      REVISE_DATASET_PARAM_REFINE="$2"
      shift 2
      ;;
    -l|--max-level)
      REVISE_DATASET_PARAM_MAX_LEVEL="$2"
      shift 2
      ;;
    -*|--*)
      echo "Unknown option $1"
      exit 1
      ;;
    *)
      echo "Unexpected positional argument $1"
      exit 1
      # POSITIONAL_ARGS+=("$1") # save positional arg
      # shift
      ;;
  esac
done

REVISE_DATASET_CASE="D${REVISE_DATASET_PARAM_DEPTH}_r${REVISE_DATASET_PARAM_REFINE}_L${REVISE_DATASET_PARAM_MAX_LEVEL}"
REVISE_DATASET_DIR="revise/${REVISE_DATASET_CASE}/data"
REVISE_DATASET_TYPE=bin
REVISE_DATASET_ANIMATED=true
REVISE_DATASET_TIME_STEPS=51
REVISE_DATASET_FIELD_NAME="U"
REVISE_DATASET_BLOCK_DEPTH="$REVISE_DATASET_PARAM_DEPTH"
REVISE_DATASET_MAX_LEVEL="$REVISE_DATASET_PARAM_MAX_LEVEL"
REVISE_DATASET_WARMINGUP_TIME=10
REVISE_DATASET_CAMERA_FOVY=11
REVISE_DATASET_DOWNLOAD_SIZE=19749816234
REVISE_DATASET_SOURCE_SIZE=31539974015
REVISE_DATASET_REVISE_SIZE=103023892551 # For default parameters
REVISE_DATASET_PREP_TIME=300            # For default parameters
REVISE_DATASET_PREP_RAM=16              # For default parameters
REVISE_DATASET_NAME="hump_$REVISE_DATASET_CASE"
REVISE_DATASET_PATH="$REVISE_DATASET/$REVISE_DATASET_DIR.bin"
